Murano OSTF test "test_deploy_dummy_app" failed because of SimpleApp package absence

Bug #1584791 reported by Anastasia Kuznetsova on 2016-05-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Victor Ryzhenkin
Mitaka
High
Victor Ryzhenkin

Bug Description

Detailed bug description:
 During execution of OSTF tests on the env with Murano (with GLARE enabled) one of Murano tests failed with following error:
- Check that user can deploy application in Murano environment (fuel_health.tests.tests_platform.test_murano_linux.MuranoDeployLinuxServicesTests.test_deploy_dummy_app). Test status: failure, message: Environment has incorrect status deploy failure . Please refer to OpenStack logs for more details.

Steps to reproduce:
1. Create cluster. Set install Murano option (check that usage of GLARE enabled by default)
2. Add 1 node with controller role
3. Add 1 nodes with compute role
4. Deploy the cluster
5. Verify Murano services
6. Run OSTF
7. Run OSTF Murano platform tests

Expected results:
 all murano tests passed
Actual result:
 test_deploy_dummy_app failed. Test status: failure, message: Environment has incorrect status deploy failure
<135>May 22 23:40:08 node-3 murano-engine: 2016-05-22 23:40:08.262 30476 DEBUG glanceclient.common.http [-] curl -g -i -X GET -H 'Accept-Encoding: gzip, deflate' -H 'Accept: */*' -H 'User-Agent: python-glanceclient' -H 'Connection: keep-alive' -H 'X-Auth-Token: {SHA1}cde12eb3a60ab01b80bf057e218760786cce0366' -H 'Content-Type: application/octet-stream' --cert None --key None https://public.fuel.local:9494/v0.1/artifacts/murano/v1?&limit=20&class_definitions=io.murano.apps.Simple&version=ge%3A0.0.0&version=lt%3A1.0.0-0&enabled=True&sort=name:asc log_curl_request /usr/lib/python2.7/dist-packages/glanceclient/common/http.py:184
<135>May 22 23:40:08 node-3 murano-engine: 2016-05-22 23:40:08.467 30476 DEBUG glanceclient.common.http [-]
HTTP/1.1 200 OK
Date: Sun, 22 May 2016 23:40:08 GMT
Connection: close
Content-Type: application/json; charset=UTF-8
Content-Length: 154
X-Openstack-Request-Id: req-96581575-a3ac-4adc-a057-bb849543c625

{"artifacts": [], "first": "/v0.1/artifacts/murano/v1?sort=name%3Aasc&enabled=True&class_definitions=io.murano.apps.Simple&version=lt%3A1.0.0-0&limit=20"}
 log_http_response /usr/lib/python2.7/dist-packages/glanceclient/common/http.py:198
<131>May 22 23:40:08 node-3 murano-engine: 2016-05-22 23:40:08.470 30476 ERROR murano.common.engine [-] Exception Package for class "io.murano.apps.Simple" is not found occurred during invocation of <load>
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine Traceback (most recent call last):
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/common/engine.py", line 183, in _execute
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine obj = executor.load(self.model)
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/executor.py", line 216, in load
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine return self._load(data)
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/executor.py", line 222, in _load
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine result = self._object_store.load(data.get(constants.DM_OBJECTS), None)
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/object_store.py", line 99, in load
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine obj = factory(init_context, **value)
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/murano_type.py", line 286, in initializer
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine obj.initialize(init_context, object_store, params)
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/murano_object.py", line 127, in initialize
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine property_name, property_value, context)
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine File "/usr/lib/python2.7/dist-packages/murano/dsl/murano_object.py", line 237, in set_property
2016-05-22 23:40:08.470 30476 ERROR murano.common.engine self.real_this, context, default=default)))
2

Reproducibility:
 on every deployment with Murano and GLARE enabled by default

ISO: 9.0-mos 388

Changed in fuel:
status: Confirmed → In Progress
tags: added: swarm-fail
removed: swarm-blocker
tags: added: swarm-blocker
removed: swarm-fail

Reviewed: https://review.openstack.org/292386
Committed: https://git.openstack.org/cgit/openstack/fuel-ostf/commit/?id=7cc4b17cee571a38b6372ca7963b4fbc5e7e4979
Submitter: Jenkins
Branch: master

commit 7cc4b17cee571a38b6372ca7963b4fbc5e7e4979
Author: Victor Ryzhenkin <email address hidden>
Date: Mon Mar 14 16:29:51 2016 +0300

    Support murano plugin installation in OSTF tests

    - Add discover mechanism for murano if it enabled via plugin installation

    Change-Id: I2e60a65676fcb3b452c2acf3793ef8e251182cae
    targets: blueprint murano-fuel-plugin
    Closes-Bug: #1584791

Changed in fuel:
status: In Progress → Fix Committed
no longer affects: fuel/newton

Reviewed: https://review.openstack.org/305951
Committed: https://git.openstack.org/cgit/openstack/fuel-ostf/commit/?id=f09c98ff7cc71ee612b2450f68a19f2f9c64345a
Submitter: Jenkins
Branch: stable/mitaka

commit f09c98ff7cc71ee612b2450f68a19f2f9c64345a
Author: Victor Ryzhenkin <email address hidden>
Date: Mon Mar 14 16:29:51 2016 +0300

    Support murano plugin installation in OSTF tests

    - Add discover mechanism for murano if it enabled via plugin installation

    Change-Id: I2e60a65676fcb3b452c2acf3793ef8e251182cae
    targets: blueprint murano-fuel-plugin
    Closes-Bug: #1584791

Reviewed: https://review.openstack.org/326042
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=dbd6c8f8bae2d44702c1cd283cb50d5cd955016c
Submitter: Jenkins
Branch: master

commit dbd6c8f8bae2d44702c1cd283cb50d5cd955016c
Author: Victor Ryzhenkin <email address hidden>
Date: Mon Jun 6 19:55:31 2016 +0300

    Support Murano plugin in fuel-qa framework

    - Add test for basic Murano validation in plugin installation
    - Fix test names in Murano-related box-install tests since Murano
      using GLARE backend as default now.
    - Turn off SSL deployment for Murano due bug: #1590633

    Change-Id: Iac71f4706db4b8eb67a7f98b2932fbb31032bc9f
    Related-Bug: #1584791
    Targets: blueprint murano-fuel-plugin

Reviewed: https://review.openstack.org/326046
Committed: https://git.openstack.org/cgit/openstack/fuel-qa/commit/?id=7203ebcbe1f5b35a9fc73f4b47d48a1baf74384d
Submitter: Jenkins
Branch: stable/mitaka

commit 7203ebcbe1f5b35a9fc73f4b47d48a1baf74384d
Author: Victor Ryzhenkin <email address hidden>
Date: Mon Jun 6 19:55:31 2016 +0300

    Support Murano plugin in fuel-qa framework

    - Add test for basic Murano validation in plugin installation
    - Fix test names in Murano-related box-install tests since Murano
      using GLARE backend as default now.
    - Turn off SSL deployment for Murano due bug: #1590633

    Change-Id: Iac71f4706db4b8eb67a7f98b2932fbb31032bc9f
    Related-Bug: #1584791
    Targets: blueprint murano-fuel-plugin

tags: added: in-stable-mitaka
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers